<template>
    <div>
        <div class="container m-header">
            <div
                    @click="$emit('close')"
                    class="box-modal_close arcticmodal-close"></div>
            <div class="row">
                <div class="column">
                    <h3>{{title}}</h3>
                </div>
            </div>
        </div>
        <div class="container content feedback-block">
            <iframe width="100%" height="650" name="tds_frame" ref="frame"></iframe>
        </div>

        <form id="tds_form" :action="data.url" target="tds_frame" ref="form" method="post">
            <input type="hidden" v-for="(v, name) in data.postData" :name="name" :value="v">
        </form>
    </div>
</template>

<script>
  export default {
    name: 'tdsIframe',
    props: ['data'],

    computed: {
      title () {
        switch (this.$payment.tdsStep) {
          case 1:
            return '3D Secure';
          case 2:
            return 'Платеж прошел успешно';
          case 3:
            return 'Отмена платежа';
          case 4:
            return 'Ошибка платежа';
            default:
                return 'Подтверждение платежа';


        }
      }
    },

    mounted () {
        this.$nextTick(() => {
            this.$refs.form.submit();
        });


      if (!this.$config.tdsUseModal) {
        this.$nextTick(() => {
          this.$helpers.scroll(this.$el);
        })
      }
    },


      methods: {
        frameStatus(e) {
            console.log('frameStatus: ', e);
            const frame = this.$refs.frame;
            console.log('frameState', frame.readyState);
        },

          close () {

          }
      }
  }
</script>

<style scoped>

</style>
